Require --enable-nonfree flag for libvpx.
authorDiego Biurrun <diego@biurrun.de>
Sat, 29 May 2010 09:40:22 +0000 (09:40 +0000)
committerDiego Biurrun <diego@biurrun.de>
Sat, 29 May 2010 09:40:22 +0000 (09:40 +0000)
The license of libvpx is incompatible with the (L)GPL.  As long as this is
the case, the only way to use it is by marking the result as nonfree.

Originally committed as revision 23371 to svn://svn.ffmpeg.org/ffmpeg/trunk

configure

index 4713d75..226e59c 100755 (executable)
--- a/configure
+++ b/configure
@@ -2341,6 +2341,7 @@ die_license_disabled gpl postproc
 die_license_disabled gpl x11grab
 
 die_license_disabled nonfree libfaac
+die_license_disabled nonfree libvpx
 
 die_license_disabled version3 libopencore_amrnb
 die_license_disabled version3 libopencore_amrwb